import request from '@/utils/request'

// 查询无线传输线管数据列表
export function listSpecialData(query) {
  return request({
    url: '/data/specialData/list',
    method: 'get',
    params: query
  })
}

// 查询无线传输线管数据详细
export function getSpecialData(id) {
  return request({
    url: '/data/specialData/' + id,
    method: 'get'
  })
}

// 新增无线传输线管数据
export function addSpecialData(data) {
  return request({
    url: '/data/specialData',
    method: 'post',
    data: data
  })
}

// 修改无线传输线管数据
export function updateSpecialData(data) {
  return request({
    url: '/data/specialData',
    method: 'put',
    data: data
  })
}

// 删除无线传输线管数据
export function delSpecialData(id) {
  return request({
    url: '/data/specialData/' + id,
    method: 'delete'
  })
}

// 取最新一条数据
export function getNewSpecialData() {
  return request({
    url: '/data/specialData/getNewSpecialData',
    method: 'get'
  })
}
